curl "https://kodostatus.com/api/v1/domain-monitors/dom_abc123" \
-H "X-API-Key: your_api_key"
const response = await fetch('https://kodostatus.com/api/v1/domain-monitors/dom_abc123', {
headers: { 'X-API-Key': 'your_api_key' }
});
const domain_monitor = await response.json();
{
"id": "dom_abc123",
"domain": "example.com",
"alert_days": 60,
"enabled": true,
"last_checked_at": "2024-01-15T10:30:00Z",
"registration": {
"registrar": "Cloudflare, Inc.",
"registrar_url": "https://cloudflare.com",
"created_date": "2020-01-15T00:00:00Z",
"updated_date": "2024-01-10T00:00:00Z",
"expiry_date": "2025-01-15T00:00:00Z",
"days_until_expiry": 365,
"nameservers": ["ns1.cloudflare.com", "ns2.cloudflare.com"],
"status": ["clientTransferProhibited"]
},
"check_history": [
{
"checked_at": "2024-01-15T10:30:00Z",
"days_until_expiry": 365
}
],
"service_id": null,
"created_at": "2024-01-01T00:00:00Z"
}
Domain Monitors
Get Domain Monitor
Retrieve details of a specific domain expiration monitor
GET
/
domain-monitors
/
{id}
curl "https://kodostatus.com/api/v1/domain-monitors/dom_abc123" \
-H "X-API-Key: your_api_key"
const response = await fetch('https://kodostatus.com/api/v1/domain-monitors/dom_abc123', {
headers: { 'X-API-Key': 'your_api_key' }
});
const domain_monitor = await response.json();
{
"id": "dom_abc123",
"domain": "example.com",
"alert_days": 60,
"enabled": true,
"last_checked_at": "2024-01-15T10:30:00Z",
"registration": {
"registrar": "Cloudflare, Inc.",
"registrar_url": "https://cloudflare.com",
"created_date": "2020-01-15T00:00:00Z",
"updated_date": "2024-01-10T00:00:00Z",
"expiry_date": "2025-01-15T00:00:00Z",
"days_until_expiry": 365,
"nameservers": ["ns1.cloudflare.com", "ns2.cloudflare.com"],
"status": ["clientTransferProhibited"]
},
"check_history": [
{
"checked_at": "2024-01-15T10:30:00Z",
"days_until_expiry": 365
}
],
"service_id": null,
"created_at": "2024-01-01T00:00:00Z"
}
Path Parameters
string
required
The unique identifier of the domain monitor
Response
string
Unique identifier
string
Domain being monitored
number
Days before expiration to alert
boolean
Whether monitoring is active
object
array
Recent check results
curl "https://kodostatus.com/api/v1/domain-monitors/dom_abc123" \
-H "X-API-Key: your_api_key"
const response = await fetch('https://kodostatus.com/api/v1/domain-monitors/dom_abc123', {
headers: { 'X-API-Key': 'your_api_key' }
});
const domain_monitor = await response.json();
{
"id": "dom_abc123",
"domain": "example.com",
"alert_days": 60,
"enabled": true,
"last_checked_at": "2024-01-15T10:30:00Z",
"registration": {
"registrar": "Cloudflare, Inc.",
"registrar_url": "https://cloudflare.com",
"created_date": "2020-01-15T00:00:00Z",
"updated_date": "2024-01-10T00:00:00Z",
"expiry_date": "2025-01-15T00:00:00Z",
"days_until_expiry": 365,
"nameservers": ["ns1.cloudflare.com", "ns2.cloudflare.com"],
"status": ["clientTransferProhibited"]
},
"check_history": [
{
"checked_at": "2024-01-15T10:30:00Z",
"days_until_expiry": 365
}
],
"service_id": null,
"created_at": "2024-01-01T00:00:00Z"
}
⌘I